package com.example.elasticsearch.elasticsearchdemo

import org.apache.http.HttpHost
import org.elasticsearch.client.RestClient
import org.elasticsearch.client.RestHighLevelClient
import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration
import org.springframework.data.elasticsearch.core.ElasticsearchOperations
import org.springframework.data.elasticsearch.core.ElasticsearchRestTemplate
import org.springframework.data.elasticsearch.repository.config.EnableElasticsearchRepositories

@Configuration
@EnableElasticsearchRepositories
class EsConfig {

    @Bean
    fun client():RestHighLevelClient{
        val client: RestHighLevelClient =
                RestHighLevelClient(RestClient.builder(HttpHost("18.224.60.3",9200)))
        return client
    }

    @Bean
    fun elasticsearchTemplate():ElasticsearchOperations{
        return ElasticsearchRestTemplate(client())
    }
}