package com.example.elasticsearch.elasticsearchdemo.controller

import com.example.elasticsearch.elasticsearchdemo.model.Matching
import com.example.elasticsearch.elasticsearchdemo.service.MatchingService
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.web.bind.annotation.*

@RestController
@RequestMapping("v1")
class APIController {

    @Autowired
    lateinit var matchingService: MatchingService

    @GetMapping("hello")
    fun hello(): String{
        return """
            "{"result":"Hello world" }"
        """
    }

    @GetMapping("/search/{id}")
    fun search(@PathVariable("id") id:String): Matching {

        lateinit var matching: Matching

        matching = matchingService.getMatching(id)

        return matching
    }

    @GetMapping("/insert/{name}")
    fun save(@PathVariable("name") name:String):String {
        matchingService.save(name)

        return "ねねっち"
    }



}